## Apache Zeta Components Manual :: Docs For Class ezcTemplateInvalidCompiledFileException

### Template::ezcTemplateInvalidCompiledFileException

### Class ezcTemplateInvalidCompiledFileException

Exception for missing invalid compiled files.

Source for this file: /Template/src/exceptions/invalid_compiled_file_exception.php

    Exception
       |
       --ezcBaseException
          |
          --ezcTemplateException
             |
             --ezcTemplateInvalidCompiledFileException

Version: | //autogen//

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`
From Exception (Internal Class)
protected | `$code`
protected | `$file`
protected | `$line`
protected | `$message`
private | `$previous`
private | `$string`
private | `$trace`

### Method Summary

public ezcTemplateInvalidCompiledFileException | `__construct( $identifier , $path )` Initialises the exception with the location object $location which contains the locator which is missing.

### Inherited Methods

From ezcTemplateException
public ezcTemplateException | `ezcTemplateException::__construct()` Constructs a new ezcTemplateException with error message $message.
From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message
From Exception (Internal Class)
public Exception | `constructor __construct ( [$message = ], [$code = ], [$previous = ] )`
public void | `getCode ( )`
public void | `getFile ( )`
public void | `getLine ( )`
public void | `getMessage ( )`
public void | `getPrevious ( )`
public void | `getTrace ( )`
public void | `getTraceAsString ( )`
public void | `__clone ( )`
public void | `__toString ( )`

### Methods

#### __construct

ezcTemplateInvalidCompiledFileException __construct( string $identifier , string $path )

Initialises the exception with the location object $location which contains the locator which is missing.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$identifier` | string | The unique identifier for the compiled file.
`$path` | string | The path to the compiled file.

##### Redefinition of:

Method | Description
--- | ---
`ezcTemplateException::__construct()` | Constructs a new ezcTemplateException with error message $message.

Documentation generated by phpDocumentor 1.4.3